Models

GET /v1/models

List all available models with their capabilities, modalities, and cost information.

Headers

Header Required Description
Authorization Yes Bearer <api-key-or-jwt>

Request

No request body. This is a GET endpoint.

Examples

cURL
Python
OpenAI SDK
curl https://api.quantized.us/v1/models \
  -H "Authorization: Bearer sk-quantized-YOUR-KEY"
import httpx

response = httpx.get(
    "https://api.quantized.us/v1/models",
    headers={"Authorization": "Bearer sk-quantized-YOUR-KEY"},
)
models = response.json()
for model in models:
    print(f"{model['id']}: {model['name']}")
from openai import OpenAI

client = OpenAI(
    api_key="sk-quantized-YOUR-KEY",
    base_url="https://api.quantized.us/v1",
)

models = client.models.list()
for model in models.data:
    print(model.id)

Response

[
  {
    "id": "openai/gpt-4.1-nano",
    "name": "GPT 4.1 Nano",
    "description": "Fast and cheap model with 1M token context window.",
    "model_author": "openai",
    "input_modality": {
      "text": true,
      "image": true,
      "audio": false,
      "video": false
    },
    "output_modality": {
      "text": true,
      "image": false,
      "audio": false,
      "video": false
    },
    "status": "active",
    "supported_features": ["tool_calls", "structured_output"],
    "cost": {
      "prompt": 1,
      "completion": 4,
      "input_cache_read": 0.25
    }
  }
]

Response fields

Field Type Description
id string Model identifier (use this in the model field of requests)
name string Human-readable model name
description string or null Model description
model_author string Model creator (e.g., openai, anthropic)
input_modality object Supported input types: text, image, audio, video
output_modality object Supported output types: text, image, audio, video
status string Model status (active)
supported_features array Supported capabilities (e.g., tool_calls, structured_output)
cost.prompt number Cost per million input tokens
cost.completion number Cost per million output tokens
cost.input_cache_read number Cost per million cached input tokens

Errors

Status Condition
401 Invalid or missing API key